﻿using Connected.Utilities;
using Microsoft.AspNetCore.Components;

namespace Connected.Components;
public partial class Container : UIComponent
{

	#region Event callbacks
	#endregion

	#region Content placeholders

	/// <summary>
	/// Child content of component.
	/// </summary>
	[Parameter]
	public RenderFragment ChildContent { get; set; }

	#endregion

	#region Styling properties
	private CssBuilder CompiledClassList
	{
		get
		{
			return new CssBuilder("container")
			  .AddClass(ClassList);
		}
	}

	protected StyleBuilder CompiledStyleList
	{
		get
		{
			return new StyleBuilder()
				.AddStyle(StyleList);

		}
	}

	/// <summary>
	/// A space separated list of class names, added on top of the default class list.
	/// </summary>
	[Parameter]
	public string? ClassList { get; set; }

	/// <summary>
	/// A space separated list of class names, added on top of the default class list.
	/// </summary>
	[Parameter]
	public string? StyleList { get; set; }

	#endregion
}
