﻿using Connected.Utilities;
using Connected.Extensions;
using Microsoft.AspNetCore.Components;

namespace Connected.Components;
public partial class Grid
{

	#region Event callbacks
	#endregion

	#region Content placeholders
	#endregion

	#region Styling properties

	private CssBuilder CompiledClassList
	{
		get
		{
			return new CssBuilder("grid")
			.AddClass($"grid-spacing-xs-{Spacing.ToString()}")
			.AddClass($"justify-{Justify.ToDescription()}")
			.AddClass(ClassList);
		}
	}

	[Parameter]
	public int Spacing { set; get; } = 3;

	[Parameter]
	public Justify Justify { get; set; } = Justify.FlexStart;

	[Parameter]
	public RenderFragment ChildContent { get; set; }

	/// <summary>
	/// A space separated list of class names, added on top of the default class list.
	/// </summary>
	[Parameter]
	public string? ClassList { get; set; }

	#endregion

	#region Lifecycle
	#endregion


}
