﻿using Connected.Utilities;
using Microsoft.AspNetCore.Components;

namespace Connected.Components;
public partial class Item
{

	#region Event callbacks
	#endregion

	#region Content placeholders

	[CascadingParameter]
	private Grid Parent { get; set; }

	[Parameter] public int xs { get; set; }
	[Parameter] public int sm { get; set; }
	[Parameter] public int md { get; set; }
	[Parameter] public int lg { get; set; }
	[Parameter] public int xl { get; set; }
	[Parameter] public int xxl { get; set; }

	[Parameter]
	public RenderFragment ChildContent { get; set; }

	#endregion

	#region Styling properties

	private CssBuilder CompiledClassList
	{
		get
		{
			return new CssBuilder("grid-item")
			  .AddClass($"grid-item-xs-{xs.ToString()}", xs != 0)
			  .AddClass($"grid-item-sm-{sm.ToString()}", sm != 0)
			  .AddClass($"grid-item-md-{md.ToString()}", md != 0)
			  .AddClass($"grid-item-lg-{lg.ToString()}", lg != 0)
			  .AddClass($"grid-item-xl-{xl.ToString()}", xl != 0)
			  .AddClass($"grid-item-xxl-{xxl.ToString()}", xxl != 0)
			  .AddClass(ClassList);
		}
	}

	/// <summary>
	/// A space separated list of class names, added on top of the default class list.
	/// </summary>
	[Parameter]
	public string? ClassList { get; set; }

	#endregion

	#region Lifecycle events

	protected override void OnInitialized()
	{
		// NOTE: we can't throw here, the component must be able to live alone for the docs API to infer default parameters
		//if (Parent == null)
		//    throw new ArgumentNullException(nameof(Parent), "Item must exist within a Grid");
		base.OnInitialized();

	#endregion

	

	

	// ToDo false,auto,true on all sizes.

	

	
	}

	
}
